petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecWhichLessThan

Creates an index set containing the indices where the vectors Vec1 < Vec2

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichLessThan(Vec Vec1, Vec Vec2, IS *S)

Collective on S

### Input Parameters

Vec1, Vec2 -the two vectors to compare

### OutputParameter

S -The index set containing the indices i where vec1[i] < vec2[i]

### Notes

The two vectors must have the same parallel layout

For complex numbers this only compares the real part

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages